Bug 627726 - Cannot install xen-libs
Cannot install xen-libs
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.7
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-26 15:02 EDT by bcm-it
Modified: 2014-01-21 01:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 01:32:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description bcm-it 2010-08-26 15:02:19 EDT
Description of problem:
when trying to install xen-libs, an error occurs

Version-Release number of selected component (if applicable):
3.2.22
  Installed: rpm-4.4.2.3-18.el5.i386 at 2010-08-26 17:23
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-07-24 05:56
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2009-07-24 22:00

  Installed: yum-3.2.22-26.el5.noarch at 2010-08-26 17:26
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2010-02-23 16:50
  Committed: James Antill <jantill@redhat.com> at 2010-02-23 22:00

  Installed: yum-metadata-parser-1.1.2-3.el5.i386 at 2010-08-26 17:21
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-04-06 14:15
  Committed: James Antill <james.antill@redhat.com> at 2009-04-06 22:00

  Installed: yum-rhn-plugin-0.5.4-15.el5.noarch at 2010-08-26 17:27
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-12-21 11:59
  Committed: Milan Zazrivec <mzazrivec@redhat.com> at 2009-12-21 22:00


How reproducible:
always

Steps to Reproduce:
1. yum update OR yum install xen-libs
2.
3.
  
Actual results:
Loaded plugins: downloadonly, rhnplugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package xen-libs.i386 0:3.0.3-105.el5_5.5 set to be updated
--> Processing Dependency: liblzma.so.0 for package: xen-libs
--> Processing Dependency: libext4fs.so.2 for package: xen-libs
--> Running transaction check
---> Package e4fsprogs-libs.i386 0:1.41.9-3.el5 set to be updated
---> Package xz-libs.i386 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package        Arch Version                           Repository          Size
================================================================================
Updating:
 xen-libs       i386 3.0.3-105.el5_5.5                 rhel-i386-server-5 159 k
Installing for dependencies:
 e4fsprogs-libs i386 1.41.9-3.el5                      rhel-i386-server-5 108 k
 xz-libs        i386 4.999.9-0.3.beta.20091007git.el5  rhel-i386-server-5 100 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade       1 Package(s)

Total size: 366 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
xen-libs is needed by (installed) xen-devel-3.0.3-80.el5_3.3.i386
xen-libs is needed by (installed) xen-3.0.3-80.el5_3.3.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Expected results:
no ERROR

Additional info:
Comment 1 James Antill 2010-09-07 17:30:36 EDT
Can you run the following commands:


yum --showduplicates list xen xen-devel xen-libs
package-cleanup --problems
package-cleanup --dupes
Comment 2 bcm-it 2010-09-07 23:36:09 EDT
> yum --showduplicates list xen xen-devel xen-libs
Loaded plugins: downloadonly, rhnplugin
rhel-src                                                                                                                                                                                                |  951 B     00:00     
Installed Packages
xen.i386                                                                                             3.0.3-80.el5_3.3                                                                                        installed         
xen-devel.i386                                                                                       3.0.3-80.el5_3.3                                                                                        installed         
xen-libs.i386                                                                                        3.0.3-94.el5_4.3                                                                                        installed         
Available Packages
xen-libs.i386                                                                                        3.0.3-25.el5                                                                                            rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-25.0.3.el5                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-25.0.4.el5                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-41.el5                                                                                            rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-41.el5_1.5                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-41.el5_1.6                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-64.el5                                                                                            rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-64.el5_2.1                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-64.el5_2.3                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-64.el5_2.9                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-80.el5                                                                                            rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-80.el5_3.2                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-80.el5_3.3                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-94.el5                                                                                            rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-94.el5_4.1                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-94.el5_4.2                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-94.el5_4.3                                                                                        rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-105.el5                                                                                           rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-105.el5_5.2                                                                                       rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-105.el5_5.3                                                                                       rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-105.el5_5.4                                                                                       rhel-i386-server-5
xen-libs.i386                                                                                        3.0.3-105.el5_5.5                                                                                       rhel-i386-server-5
> package-cleanup --problems
Setting up yum
Reading local RPM database
Processing all local requires
Missing dependencies:
Package xen-devel requires xen-libs = 3.0.3-80.el5_3.3
Package xen requires xen-libs = 3.0.3-80.el5_3.3
> package-cleanup --dupes
Setting up yum
at-spi-1.7.11-2.fc6.i386
at-spi-1.7.11-3.el5.i386
libnl-1.0-0.10.pre5.5.i386
libnl-1.0-0.10.pre5.4.i386
gtk2-devel-2.10.4-20.el5.i386
gtk2-devel-2.10.4-19.el5.i386
1:pkgconfig-0.21-2.el5.i386
1:pkgconfig-0.21-1.fc6.i386
libraw1394-1.2.1-1.fc6.i386
libraw1394-1.3.0-1.el5.i386
cairo-1.2.4-3.el5_1.i386
cairo-1.2.4-5.el5.i386
libgnomeprint22-2.12.1-9.el5.i386
libgnomeprint22-2.12.1-10.el5.i386
java-1.4.2-gcj-compat-1.4.2.0-40jpp.115.i386
java-1.4.2-gcj-compat-1.4.2.0-40jpp.112.i386
libraw1394-devel-1.3.0-1.el5.i386
libraw1394-devel-1.2.1-1.fc6.i386
1:libswt3-gtk2-3.2.1-19.el5.i386
1:libswt3-gtk2-3.2.1-18.el5.i386
htmlview-4.0.0-1.el5.noarch
htmlview-4.0.0-2.el5.noarch
java-1.4.2-gcj-compat-javadoc-1.4.2.0-40jpp.112.i386
java-1.4.2-gcj-compat-javadoc-1.4.2.0-40jpp.115.i386
libao-0.8.6-7.i386
libao-0.8.6-5.i386
1:make-3.81-1.1.i386
1:make-3.81-3.el5.i386
1:eclipse-ecj-3.2.1-19.el5.i386
1:eclipse-ecj-3.2.1-18.el5.i386
diffutils-2.8.1-15.2.3.el5.i386
diffutils-2.8.1-15.2.2.i386
gthumb-2.7.8-8.el5.i386
gthumb-2.7.8-5.el5.i386
libnl-devel-1.0-0.10.pre5.4.i386
libnl-devel-1.0-0.10.pre5.5.i386
Deployment_Guide-en-US-5.2-11.noarch
Deployment_Guide-en-US-5.1.0-11.noarch
gtk2-2.10.4-19.el5.i386
gtk2-2.10.4-20.el5.i386
Virtualization-en-US-5.1.0-12.noarch
Virtualization-en-US-5.2-11.noarch
nautilus-2.16.2-7.el5.i386
nautilus-2.16.2-6.el5.i386
bluez-libs-3.7-1.1.i386
bluez-libs-3.7-1.i386
libao-devel-0.8.6-5.i386
libao-devel-0.8.6-7.i386
nautilus-extensions-2.16.2-6.el5.i386
nautilus-extensions-2.16.2-7.el5.i386
java-1.4.2-gcj-compat-src-1.4.2.0-40jpp.115.i386
java-1.4.2-gcj-compat-src-1.4.2.0-40jpp.112.i386
cairo-devel-1.2.4-3.el5_1.i386
cairo-devel-1.2.4-5.el5.i386
Comment 3 James Antill 2010-09-09 01:32:38 EDT
For this bug you need to fix:

  Missing dependencies:
  Package xen-devel requires xen-libs = 3.0.3-80.el5_3.3
  Package xen requires xen-libs = 3.0.3-80.el5_3.3

...by doing an install of those specific versions, then the upgrade will probably work.

 However from the dupes output it looks like you had a failed transaction at some point, so you should probably clean that up. You could try package-cleanup --cleandupes (assuming yum-complete-transaction can't help).

Note You need to log in before you can comment on or make changes to this bug.